# FullText Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Base for all full-text stuff. More...

Inheritance diagram for FullText:
[legend]

List of all members.

## Public Member Functions

| __construct ($field, $words, $logic)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toBoolean (Form $form)

## Protected Attributes

| $logic = null
| $field = null
| $words = null

## Detailed Description

Base for all full-text stuff.

Definition at line 18 of file FullText.class.php.

## Constructor & Destructor Documentation

FullText::__construct | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Definition at line 25 of file FullText.class.php.

References $field, $logic, $words, and Assert::isArray().

Here is the call graph for this function:

## Member Function Documentation

FullText::toBoolean | ( | Form $ | form | ) |

Implements LogicalObject.

Definition at line 49 of file FullText.class.php.

FullText::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  FullText

Definition at line 40 of file FullText.class.php.

References GenericDAO::getTable(), and ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

FullText::$field = null`[protected]`

Definition at line 22 of file FullText.class.php.

Referenced by __construct().

FullText::$logic = null`[protected]`

Definition at line 21 of file FullText.class.php.

Referenced by __construct().

FullText::$words = null`[protected]`

Definition at line 23 of file FullText.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- core/OSQL/FullText.class.php